|  | Home · All Classes · Modules

# QDragLeaveEvent Class Reference
[QtGui module]

The QDragLeaveEvent class provides an event that is sent to a widget when a drag and drop action leaves it. More...

Inherits QEvent.

### Methods

- __init__ (self)
- __init__ (self, QDragLeaveEvent other)

## Detailed Description

The QDragLeaveEvent class provides an event that is sent to a widget when a drag and drop action leaves it.

This event is always preceded by a QDragEnterEvent and a series of QDragMoveEvents. It is not sent if a QDropEvent is sent instead.

See also QDragEnterEvent, QDragMoveEvent, and QDropEvent.

## Method Documentation

### QDragLeaveEvent.__init__ (self)

Constructs a QDragLeaveEvent.

Warning: Do not create a QDragLeaveEvent yourself since these objects rely on Qt's internal state.

### QDragLeaveEvent.__init__ (self, QDragLeaveEvent other)